## org.gnu.atk
Class Registry

    java.lang.Object
      org.gnu.glib.Struct
          org.gnu.glib.GObject
              org.gnu.atk.Registry

public class Registry
extends GObject

Constructor Summary
`Registry()`
`Registry(org.gnu.glib.Handle handle)`

Method Summary
`ObjectFactory` `getFactory(Type type)`
`Type` `getFactoryType(Type type)`
`void` `setFactoryType(Type type, Type factoryType)`

Methods inherited from class org.gnu.glib.GObject

`addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addListener, collect, freezeNotify, getBooleanProperty, getData, getDoubleProperty, getEventListenerClass, getEventType, getFloatProperty, getGObjectFromHandle, getIntProperty, getJavaObjectProperty, getLongProperty, getPixbufProperty, getProperty, getStringProperty, hasProperty, notify, removeEventHandler, removeListener, setBooleanProperty, setData, setDoubleProperty, setFloatProperty, setIntProperty, setJavaObjectProperty, setLongProperty, setPixbufProperty, setProperty, setStringProperty, thawNotify`

Methods inherited from class org.gnu.glib.Struct
`equals, getHandle, getNullHandle, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Registry

    public Registry()

### Registry

    public Registry(org.gnu.glib.Handle handle)

Method Detail

### setFactoryType

    public void setFactoryType(Type type,
                               Type factoryType)

### getFactoryType

    public Type getFactoryType(Type type)

### getFactory

    public ObjectFactory getFactory(Type type)